Update an existing user on the Cohesity Cluster. Only user settings on the Cohesity Cluster are updated. No changes are made to the referenced user principal on the Active Directory.

No Privileges Required

Returns the user that was updated on the Cohesity Cluster.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request to update an existing user.

Specifies details about a user.

adUserInfo
object | null

Specifies additional information pertaining to an active directory user.
This field is set only for AD users who has logged in via active
directory.

additionalGroupNames
array of strings | null

Array of Additional Groups.

Specifies the names of additional groups this User may belong to.

additionalGroupNames
boolean | null

Specifies if the data security user can be modified by the admin users.

auditLogSettings
object | null

Specifies audit settings.

string | null
enum

Specifies the authentication type of the user.
'kAuthLocal' implies authenticated user is a local user.
'kAuthAd' implies authenticated user is an Active Directory user.
'kAuthSalesforce' implies authenticated user is a Salesforce user.
'kAuthGoogle' implies authenticated user is a Google user.
'kAuthSso' implies authenticated user is an SAML based SSO user.
'kAuthMcmOnPrem' implies authenticated user is an OnPrem MCM user.
'kAuthService' implies authenticated client is an API consumer.
'kAuthMsftSelfService' implies authenticated client is MSFT based via OIDC.
'kAuthOidcSso' implies authenticated user is an SSO user via OIDC.
'kAuthAuth0' implies authenticated user is an Auth0 user.
kAuthMcmOnPrem, kAuthService, kAuthMsftSelfService, kAuthOidcSso, kAuthAuth0

Allowed:
availableServices
array of objects | null

AvailableServices specifies the list of installed services like gaia, datahawk
with minimal details.

availableServices
clusterIdentifiers
array of objects | null

Specifies the list of clusters this user has access to. If this is not
specified, access will be granted to all clusters.

clusterIdentifiers
int64 | null

Specifies the epoch time in milliseconds when the user account
was created on the Cohesity Cluster.

string | null

Specifies the current password when updating the password.

string | null

Specifies a description about the user.

string | null

Specifies the fully qualified domain name (FQDN) of an Active Directory
or LOCAL for the default LOCAL domain on the Cohesity Cluster.
A user is uniquely identified by combination of the username and
the domain.

int64 | null

Specifies the epoch time in milliseconds when the user becomes
effective. Until that time, the user cannot log in.

string | null

Specifies the email address of the user.

int64 | null

Specifies the epoch time in milliseconds when the user becomes
expired. After that, the user cannot log in.

boolean | null

Specifies whether to force user to change password.

googleAccount
object | null

Specifies additional information pertaining to Google account.
This field is set only for Helios BaaS users who has account on Google.

ibmUserMetadata
object | null

Specifies additional information pertaining to an IBM user.
This field is set only for IBM users who have logged in via IBM ID.

idpUserInfo
object | null

Specifies additional information pertaining to an IdP user.
This field is set only for IdP users who has logged in via IdP.

string | null

Specifies the messenger token for intercom identity verification.

boolean | null

Specifies whether the user account is locked.

boolean | null

IsActive specifies whether or not a user is active, or has been
disactivated by the customer. The default behavior is 'true'.

boolean | null

IsInternalUser indicates whether the current session user is an internal
user (i.e. the SID corresponds to the internal-user SID). This is set
to true only when the session is initialized via InitInternalSession and
the user SID matches the internal-user SID.

int64 | null

Specifies the epoch time in milliseconds when the user was last logged in
successfully.

int64 | null

Specifies the epoch time in milliseconds when the user account was last
modified on the Cohesity Cluster.

string | null
enum

Specifies the lockout reason of the user if it is locked.
'NotLocked' implies the user is not locked.
'FailedLoginAttempts' the account is locked due to

many failed login attempts.

'LockedByAdmin' implies the account is locked by the admin user.
'Inactivity' implies the account is locked due to long time of inactivity.
'OtherReasons' implied the account is loced for other reasons.

Allowed:
mfaInfo
object | null

Specifies MFA info if MFA is enabled.

mfaMethods
array of strings | null

Specifies MFA methods that enabled on the cluster.

mfaMethods
msftUserInfo
object | null

Specifies additional information pertaining to Micrsoft account.
This field is set only for users who have been authenticated through
MSFT OpenID Connect for Self Service workflows.

string | null

Specifies the MTS(Multi Tenancy Service) Customer ID of the user.

string | null

Specifies the MTS(Multi Tenancy Service) Tenant ID of the user.
This can be nil for users who are not super admins.

string | null

Specifies object class of user, could be either user or group.

orgMembership
array of objects | null

OrgMembership contains the list of all available tenantIds for this
user to switch to. Only when creating the session user, this field is
populated on the fly. We discover the tenantIds from various groups
assigned to the users.

orgMembership
string | null

Specifies the password of this user.

preferences
object | null

Specifies preferences of the user.

int64 | null

Specifies the epoch time in milliseconds of previous user login.

string | null

Specifies the name of the primary group of this User.

privilegeIds
array of strings | null

Array of Privileges.

Specifies the Cohesity privileges from the roles. This will be populated
based on the union of all privileges in roles.
Type for unique privilege Id values.
All below enum values specify a value for all uniquely defined
privileges in Cohesity.

privilegeIds
profiles
array of objects | null

Specifies the user profiles.
NOTE: Currently used for Helios.

profiles
boolean | null

Whether the user is a restricted user. A restricted user can only view
the objects he has permissions to.

roles
array of strings | null

Array of Roles.

Specifies the Cohesity roles to associate with the user such as
such as 'Admin', 'Ops' or 'View'.
The Cohesity roles determine privileges on the Cohesity Cluster
for this user.

roles
string | null

Specifies the S3 Account Access Key ID.

string | null

Specifies the S3 Account Canonical User ID.

string | null

Specifies the S3 Account Secret Key.

salesforceAccount
object | null

Specifies additional information pertaining to Salesforce account.
This field is set only for Helios users who has account on Salesforce.

string | null

Specifies the unique Security ID (SID) of the user. This field is
mandatory in modifying user.

spogContext
object | null

Specifies the SPOG context. This will be set for sessions where a user
is accessing a remote cluster. This is needed for audit logging purposes.

subscriptionInfo
object | null

Specifies the subscription information. If the user has subscribed
for Helios, DataProtect, DRaaS.....

tenantAccesses
array of objects | null

Specifies the tenant access available to current user.
NOTE: Currently used for Helios.

tenantAccesses
string | null

Specifies the effective Tenant ID of the user.

string | null

Specifies the login name of the user.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json